import java.util.*;
import java.io.*;

/**
 * HighScoresExample has a silly game,
 * but shows how to look for a text file 
 * that keeps track of a high score,
 * and records a new high score and 
 * writes that to a file for the next time.
 *
 * @author Chris Thiel, OFMCap
 * @version May 10, 2023
 */
public class HighScoresExample
{
    public static void main(String[] args){
        Scanner kb = new Scanner(System.in);
        System.out.print("What is your name? ");
        String name = kb.nextLine();
        System.out.println("Reading High Score Record...");
        HighScores topScores = new HighScores("top_scores.txt");
        System.out.println( topScores.top(10) );
        int score = play(kb);
        topScores.addScore(score, name);
        System.out.println( topScores.top(10) );
        
    }

    public static int play(Scanner kb)
    {
        System.out.println("You have ten chances to score points");
        System.out.println("by guessing a word follows a secret rule.\nGood Luck\n");
        
        String guess = "";
        int score = 0;

        for(int q = 1; q <= 10; q++)
        {           
            System.out.print("Your Score is "+score+"\nGuess "+q+": ");
            guess = kb.nextLine();    

            if (guess.length() == 1)
                score += 10;
            guess = "";
        }
        System.out.print("Your Final Score is "+score);
        return score;
    }

}
